Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel
Interface JmsJcaProviderDocument.JmsJcaProvider

All Superinterfaces:
  BusProvider, JmsProviderType, Provider, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  JmsJcaProviderDocumentImpl.JmsJcaProviderImpl

Enclosing interface:
  JmsJcaProviderDocument

    public static interface JmsJcaProviderDocument.JmsJcaProvider

extends JmsProviderType

An XML jms-jca-provider(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd). This is a complex type.

Nested Class Summary
`static class` | `JmsJcaProviderDocument.JmsJcaProvider.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`ActivationConfigDocument.ActivationConfig` | `addNewActivationConfig()` Appends and returns a new empty "activation-config" element
`ActivationConfigDocument.ActivationConfig` | `getActivationConfig()` Gets the "activation-config" element
`java.lang.String` | `getAdapter()` Gets the "adapter" attribute
`java.lang.String` | `getEndpointClass()` Gets the "endpointClass" attribute
`java.lang.String` | `getJcaBridge()` Gets the "jcaBridge" attribute
`java.lang.String` | `getMessagingType()` Gets the "messagingType" attribute
`java.lang.String` | `getProviderAdapterJNDI()` Gets the "providerAdapterJNDI" attribute
`boolean` | `getTransacted()` Gets the "transacted" attribute
`boolean` | `isSetActivationConfig()` True if has "activation-config" element
`boolean` | `isSetAdapter()` True if has "adapter" attribute
`boolean` | `isSetEndpointClass()` True if has "endpointClass" attribute
`boolean` | `isSetJcaBridge()` True if has "jcaBridge" attribute
`boolean` | `isSetMessagingType()` True if has "messagingType" attribute
`boolean` | `isSetProviderAdapterJNDI()` True if has "providerAdapterJNDI" attribute
`boolean` | `isSetTransacted()` True if has "transacted" attribute
`void` | `setActivationConfig(ActivationConfigDocument.ActivationConfig activationConfig)` Sets the "activation-config" element
`void` | `setAdapter(java.lang.String adapter)` Sets the "adapter" attribute
`void` | `setEndpointClass(java.lang.String endpointClass)` Sets the "endpointClass" attribute
`void` | `setJcaBridge(java.lang.String jcaBridge)` Sets the "jcaBridge" attribute
`void` | `setMessagingType(java.lang.String messagingType)` Sets the "messagingType" attribute
`void` | `setProviderAdapterJNDI(java.lang.String providerAdapterJNDI)` Sets the "providerAdapterJNDI" attribute
`void` | `setTransacted(boolean transacted)` Sets the "transacted" attribute
`void` | `unsetActivationConfig()` Unsets the "activation-config" element
`void` | `unsetAdapter()` Unsets the "adapter" attribute
`void` | `unsetEndpointClass()` Unsets the "endpointClass" attribute
`void` | `unsetJcaBridge()` Unsets the "jcaBridge" attribute
`void` | `unsetMessagingType()` Unsets the "messagingType" attribute
`void` | `unsetProviderAdapterJNDI()` Unsets the "providerAdapterJNDI" attribute
`void` | `unsetTransacted()` Unsets the "transacted" attribute
`org.apache.xmlbeans.XmlString` | `xgetAdapter()` Gets (as xml) the "adapter" attribute
`org.apache.xmlbeans.XmlString` | `xgetEndpointClass()` Gets (as xml) the "endpointClass" attribute
`org.apache.xmlbeans.XmlString` | `xgetJcaBridge()` Gets (as xml) the "jcaBridge" attribute
`org.apache.xmlbeans.XmlString` | `xgetMessagingType()` Gets (as xml) the "messagingType" attribute
`org.apache.xmlbeans.XmlString` | `xgetProviderAdapterJNDI()` Gets (as xml) the "providerAdapterJNDI" attribute
`org.apache.xmlbeans.XmlBoolean` | `xgetTransacted()` Gets (as xml) the "transacted" attribute
`void` | `xsetAdapter(org.apache.xmlbeans.XmlString adapter)` Sets (as xml) the "adapter" attribute
`void` | `xsetEndpointClass(org.apache.xmlbeans.XmlString endpointClass)` Sets (as xml) the "endpointClass" attribute
`void` | `xsetJcaBridge(org.apache.xmlbeans.XmlString jcaBridge)` Sets (as xml) the "jcaBridge" attribute
`void` | `xsetMessagingType(org.apache.xmlbeans.XmlString messagingType)` Sets (as xml) the "messagingType" attribute
`void` | `xsetProviderAdapterJNDI(org.apache.xmlbeans.XmlString providerAdapterJNDI)` Sets (as xml) the "providerAdapterJNDI" attribute
`void` | `xsetTransacted(org.apache.xmlbeans.XmlBoolean transacted)` Sets (as xml) the "transacted" attribute

Methods inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.JmsProviderType
`getConnectionFactory, getJndiContextFactory, getJndiPkgPrefix, getJndiURL, isSetJndiContextFactory, isSetJndiPkgPrefix, isSetJndiURL, setConnectionFactory, setJndiContextFactory, setJndiPkgPrefix, setJndiURL, unsetJndiContextFactory, unsetJndiPkgPrefix, unsetJndiURL, xgetConnectionFactory, xgetJndiContextFactory, xgetJndiPkgPrefix, xgetJndiURL, xsetConnectionFactory, xsetJndiContextFactory, xsetJndiPkgPrefix, xsetJndiURL`

Methods inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.BusProvider
`addNewBus, getBusArray, getBusArray, getBusList, insertNewBus, removeBus, setBusArray, setBusArray, sizeOfBusArray`

Methods inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.Provider
`addNewProperty, getName, getPropertyArray, getPropertyArray, getPropertyList, insertNewProperty, removeProperty, setName, setPropertyArray, setPropertyArray, sizeOfPropertyArray, xgetName, xsetName`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getActivationConfig

    ActivationConfigDocument.ActivationConfig getActivationConfig()

  Gets the "activation-config" element

### isSetActivationConfig

    boolean isSetActivationConfig()

  True if has "activation-config" element

### setActivationConfig

    void setActivationConfig(ActivationConfigDocument.ActivationConfig activationConfig)

  Sets the "activation-config" element

### addNewActivationConfig

    ActivationConfigDocument.ActivationConfig addNewActivationConfig()

  Appends and returns a new empty "activation-config" element

### unsetActivationConfig

    void unsetActivationConfig()

  Unsets the "activation-config" element

### getAdapter

    java.lang.String getAdapter()

  Gets the "adapter" attribute

### xgetAdapter

    org.apache.xmlbeans.XmlString xgetAdapter()

  Gets (as xml) the "adapter" attribute

### isSetAdapter

    boolean isSetAdapter()

  True if has "adapter" attribute

### setAdapter

    void setAdapter(java.lang.String adapter)

  Sets the "adapter" attribute

### xsetAdapter

    void xsetAdapter(org.apache.xmlbeans.XmlString adapter)

  Sets (as xml) the "adapter" attribute

### unsetAdapter

    void unsetAdapter()

  Unsets the "adapter" attribute

### getEndpointClass

    java.lang.String getEndpointClass()

  Gets the "endpointClass" attribute

### xgetEndpointClass

    org.apache.xmlbeans.XmlString xgetEndpointClass()

  Gets (as xml) the "endpointClass" attribute

### isSetEndpointClass

    boolean isSetEndpointClass()

  True if has "endpointClass" attribute

### setEndpointClass

    void setEndpointClass(java.lang.String endpointClass)

  Sets the "endpointClass" attribute

### xsetEndpointClass

    void xsetEndpointClass(org.apache.xmlbeans.XmlString endpointClass)

  Sets (as xml) the "endpointClass" attribute

### unsetEndpointClass

    void unsetEndpointClass()

  Unsets the "endpointClass" attribute

### getMessagingType

    java.lang.String getMessagingType()

  Gets the "messagingType" attribute

### xgetMessagingType

    org.apache.xmlbeans.XmlString xgetMessagingType()

  Gets (as xml) the "messagingType" attribute

### isSetMessagingType

    boolean isSetMessagingType()

  True if has "messagingType" attribute

### setMessagingType

    void setMessagingType(java.lang.String messagingType)

  Sets the "messagingType" attribute

### xsetMessagingType

    void xsetMessagingType(org.apache.xmlbeans.XmlString messagingType)

  Sets (as xml) the "messagingType" attribute

### unsetMessagingType

    void unsetMessagingType()

  Unsets the "messagingType" attribute

### getJcaBridge

    java.lang.String getJcaBridge()

  Gets the "jcaBridge" attribute

### xgetJcaBridge

    org.apache.xmlbeans.XmlString xgetJcaBridge()

  Gets (as xml) the "jcaBridge" attribute

### isSetJcaBridge

    boolean isSetJcaBridge()

  True if has "jcaBridge" attribute

### setJcaBridge

    void setJcaBridge(java.lang.String jcaBridge)

  Sets the "jcaBridge" attribute

### xsetJcaBridge

    void xsetJcaBridge(org.apache.xmlbeans.XmlString jcaBridge)

  Sets (as xml) the "jcaBridge" attribute

### unsetJcaBridge

    void unsetJcaBridge()

  Unsets the "jcaBridge" attribute

### getTransacted

    boolean getTransacted()

  Gets the "transacted" attribute

### xgetTransacted

    org.apache.xmlbeans.XmlBoolean xgetTransacted()

  Gets (as xml) the "transacted" attribute

### isSetTransacted

    boolean isSetTransacted()

  True if has "transacted" attribute

### setTransacted

    void setTransacted(boolean transacted)

  Sets the "transacted" attribute

### xsetTransacted

    void xsetTransacted(org.apache.xmlbeans.XmlBoolean transacted)

  Sets (as xml) the "transacted" attribute

### unsetTransacted

    void unsetTransacted()

  Unsets the "transacted" attribute

### getProviderAdapterJNDI

    java.lang.String getProviderAdapterJNDI()

  Gets the "providerAdapterJNDI" attribute

### xgetProviderAdapterJNDI

    org.apache.xmlbeans.XmlString xgetProviderAdapterJNDI()

  Gets (as xml) the "providerAdapterJNDI" attribute

### isSetProviderAdapterJNDI

    boolean isSetProviderAdapterJNDI()

  True if has "providerAdapterJNDI" attribute

### setProviderAdapterJNDI

    void setProviderAdapterJNDI(java.lang.String providerAdapterJNDI)

  Sets the "providerAdapterJNDI" attribute

### xsetProviderAdapterJNDI

    void xsetProviderAdapterJNDI(org.apache.xmlbeans.XmlString providerAdapterJNDI)

  Sets (as xml) the "providerAdapterJNDI" attribute

### unsetProviderAdapterJNDI

    void unsetProviderAdapterJNDI()

  Unsets the "providerAdapterJNDI" attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD